org.keycloak.authorization.client

## Class Configuration

- java.lang.Object
- - org.keycloak.representations.adapters.config.BaseRealmConfig
  - - org.keycloak.representations.adapters.config.BaseAdapterConfig
    - - org.keycloak.representations.adapters.config.AdapterConfig
      - - org.keycloak.authorization.client.Configuration

- All Implemented Interfaces:
    AdapterHttpClientConfig

      public class Configuration
      extends AdapterConfig

  Author:
    Pedro Igor

- - ### Field Summary

    - ### Fields inherited from class org.keycloak.representations.adapters.config.AdapterConfig

      `allowAnyHostname, alwaysRefreshToken, clientKeyPassword, clientKeystore, clientKeystorePassword, connectionPoolSize, connectionTimeout, connectionTTL, disableTrustManager, ignoreOAuthQueryParameter, minTimeBetweenJwksRequests, pkce, policyEnforcerConfig, principalAttribute, proxyUrl, publicKeyCacheTtl, registerNodeAtStartup, registerNodePeriod, socketTimeout, tokenCookiePath, tokenMinimumTimeToLive, tokenStore, truststore, truststorePassword, turnOffChangeSessionIdOnLogin, verifyTokenAudience`

    - ### Fields inherited from class org.keycloak.representations.adapters.config.BaseAdapterConfig

      `autodetectBearerOnly, bearerOnly, cors, corsAllowedHeaders, corsAllowedMethods, corsExposedHeaders, corsMaxAge, credentials, enableBasicAuth, exposeToken, publicClient, redirectRewriteRules, resource, useResourceRoleMappings`

    - ### Fields inherited from class org.keycloak.representations.adapters.config.BaseRealmConfig

      `authServerUrl, confidentialPort, realm, realmKey, sslRequired`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Configuration()`
    `Configuration(String authServerUrl, String realm, String clientId, Map<String,Object> clientCredentials, org.apache.http.client.HttpClient httpClient)` Creates a new instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.http.client.HttpClient` | `getHttpClient()`

    - ### Methods inherited from class org.keycloak.representations.adapters.config.AdapterConfig

      `getClientKeyPassword, getClientKeystore, getClientKeystorePassword, getConnectionPoolSize, getConnectionTimeout, getConnectionTTL, getMinTimeBetweenJwksRequests, getPolicyEnforcerConfig, getPrincipalAttribute, getProxyUrl, getPublicKeyCacheTtl, getRegisterNodePeriod, getSocketTimeout, getTokenCookiePath, getTokenMinimumTimeToLive, getTokenStore, getTruststore, getTruststorePassword, getTurnOffChangeSessionIdOnLogin, isAllowAnyHostname, isAlwaysRefreshToken, isDisableTrustManager, isIgnoreOAuthQueryParameter, isPkce, isRegisterNodeAtStartup, isVerifyTokenAudience, setAllowAnyHostname, setAlwaysRefreshToken, setClientKeyPassword, setClientKeystore, setClientKeystorePassword, setConnectionPoolSize, setConnectionTimeout, setConnectionTTL, setDisableTrustManager, setIgnoreOAuthQueryParameter, setMinTimeBetweenJwksRequests, setPkce, setPolicyEnforcerConfig, setPrincipalAttribute, setProxyUrl, setPublicKeyCacheTtl, setRegisterNodeAtStartup, setRegisterNodePeriod, setSocketTimeout, setTokenCookiePath, setTokenMinimumTimeToLive, setTokenStore, setTruststore, setTruststorePassword, setTurnOffChangeSessionIdOnLogin, setVerifyTokenAudience`

    - ### Methods inherited from class org.keycloak.representations.adapters.config.BaseAdapterConfig

      `getCorsAllowedHeaders, getCorsAllowedMethods, getCorsExposedHeaders, getCorsMaxAge, getCredentials, getRedirectRewriteRules, getResource, isAutodetectBearerOnly, isBearerOnly, isCors, isEnableBasicAuth, isExposeToken, isPublicClient, isUseResourceRoleMappings, setAutodetectBearerOnly, setBearerOnly, setCors, setCorsAllowedHeaders, setCorsAllowedMethods, setCorsExposedHeaders, setCorsMaxAge, setCredentials, setEnableBasicAuth, setExposeToken, setPublicClient, setRedirectRewriteRules, setResource, setUseResourceRoleMappings`

    - ### Methods inherited from class org.keycloak.representations.adapters.config.BaseRealmConfig

      `getAuthServerUrl, getConfidentialPort, getRealm, getRealmKey, getSslRequired, setAuthServerUrl, setConfidentialPort, setRealm, setRealmKey, setSslRequired`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Configuration

          public Configuration()

    - #### Configuration

          public Configuration(String authServerUrl,
                               String realm,
                               String clientId,
                               Map<String,Object> clientCredentials,
                               org.apache.http.client.HttpClient httpClient)

      Creates a new instance.
      Parameters:
        `authServerUrl` - the server's URL. E.g.: http://{server}:{port}/auth.(not `null`)
        `realm` - the realm name (not `null`)
        `clientId` - the client id (not `null`)
        `clientCredentials` - a map with the client credentials (not `null`)
        `httpClient` - the `HttpClient` instance that should be used when sending requests to the server, or `null` if a default instance should be created

  - ### Method Detail

    - #### getHttpClient

          public org.apache.http.client.HttpClient getHttpClient()

Copyright © 2021 JBoss by Red Hat. All rights reserved.